/* 공통 - 푸터 영역 */
.noRel {
    margin-top: 75px;
}
.noRel footer {
    transform: initial;
    margin-top: 0;
}

/* 데스크탑 푸터 */
footer { 
    width: 100%; 
    height: 174px; 
    background-color: #f5f5f7; 
    font-size: 12px; 
    display: flex; 
    align-items: center; 
    padding: 24px 0; 
    position: relative; 
}
footer .footer_wrap {
    width: 566px;
    margin: 0 auto;
    text-align: center;
}
footer .gnb {
    width: 100%;
    display: flex;
    justify-content: center;
}
footer .gnb li {
    margin-right: 24px;
    color: #4D4D4D;
}
footer .gnb li:last-of-type {
    margin: 0;
}
footer .sns {
    width: 100%;
    display: flex;
    justify-content: center;
    margin: 16px 0;
}
footer .sns li {
    margin-right: 24px;
}
footer .sns li:last-of-type {
    margin-right: 0;
}
footer .info {
    padding: 0 10px;
    line-height: 1.5;
    word-break: keep-all;
}
footer .info p {
    color: var(--gray050);
}
footer .info p span {
    margin: 0 5px;
    color: var(--gray050);
}
footer .copyright {
    display: block;
    color: var(--gray050);
    margin-top: 8px;
}

/* 모바일 푸터 영역 */
.mo_footer { 
    width: 100%; 
    display: none; 
    padding: 0; 
    margin-top: 150px; 
    font-size: var(--body6); 
    transform: translateY(-50%); 
}
.mo_footer::after {
    width: 100%;
    height: 1px;
    background-color: var(--gray030);
    top: 0;
}
.mo_footer .inner { 
    padding: 24px 16px; 
    gap: 16px;
    background: #f5f5f7; 
}
.mo_footer .gnb {
    gap: 16px;
}
.mo_footer .gnb li {
    margin-right: 0;
    gap: 8px;
}
.mo_footer .gnb .dep1 {
    justify-content: space-between;
    align-items: center;
    font-weight: bold;
    color: var(--gray060);
}
.mo_footer .gnb .dep1 > img {
    max-width: 18px;
    filter: brightness(5);
    cursor: pointer;
}
.mo_footer .gnb .dep1.on > img {
    content: url(/assets/img/close02.svg);
}
.mo_footer .gnb .dep2 {
    gap: 8px;
    display: none;
}
.mo_footer .gnb .dep2 ul {
    gap: 8px;
}
.mo_footer .gnb .dep2.show {
    display: flex;
}
.mo_footer .info {
    padding: 0;
}
.mo_footer .info p {
    color: var(--gray060);
}
.mo_footer .copyright {
    color: var(--gray060);
}
.mo_footer .sns {
    height: 120px;
}

/* 공통 - 모바일 하단 네비게이션 영역 */
.mo_navi_bx {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    z-index: 10;
    filter: drop-shadow(0px 0px 8px rgba(0,0,0,0.3));
    display: none;
}
.mo_navi_bx ul {
    justify-content: center;
}
.mo_navi_bx ul li {
    background: #fff;
    flex-basis: calc((100% - 73px)/4);
}
.mo_navi_bx ul li:nth-child(1).act .ib_area img {
    content: url("/assets/img/mo_nav_home_on.png");
}
.mo_navi_bx ul li:nth-child(2).act .ib_area img {
    content: url("/assets/img/mo_nav_rise_on.png");
}
.mo_navi_bx ul li:nth-child(4).act .ib_area img {
    content: url("/assets/img/mo_nav_direct_on.png");
}
.mo_navi_bx ul li:nth-child(5).act .ib_area img {
    content: url("/assets/img/mo_nav_my_on.png");
}

.mo_navi_bx ul li.act .ib_area:after { 
    content: '';
    position: absolute;
    top: -4px;
    left: 50%;
    transform: translateX(-50%);
    width: 5px;
    height: 5px;
    background: #42CFAF;
    border-radius: 100%;
}
.mo_navi_bx ul li.search_bx {
    background: transparent;
    flex-basis: 73px;
    position: relative;
}
.mo_navi_bx ul li.search_bx:after {
    height: 10vw;
    width: 100%;
    bottom: 0;
    left: 0;
    background: #fff;
    max-height: 75px;
}
.mo_navi_bx ul li.search_bx a {
    padding: 0;
}
.mo_navi_bx ul li.search_bx .badge {
    position: absolute;
    bottom: 100%;
    left: 50%;
    transform: translateX(-50%);
    animation: bounceAni 2s ease-in-out infinite;
    width: 180px;
}
.mo_navi_bx ul li.search_bx .badge img {
    width: 100%;
}
.mo_navi_bx ul li:nth-child(2) {
    border-top-right-radius: 16px;
}
.mo_navi_bx ul li:nth-child(2):after {
    width: 100%;
    height: 100%;
    border-top-right-radius: 16px;
    right: -1.5vw;
    top: 0;
    background: #fff;
}
.mo_navi_bx ul li:nth-child(4) {
    border-top-left-radius: 16px;
}
.mo_navi_bx ul li:nth-child(4):after {
    width: 100%;
    height: 100%;
    border-top-left-radius: 16px;
    left: -1.5vw;
    top: 0;
    background: #fff;
}
.mo_navi_bx ul li a { 
    align-items: center; 
    gap: 4px; 
    padding: 12px 0 21px; 
    position: relative; 
    z-index: 1; 
    font-size: 10px;
}
.mo_navi_bx ul li.act a p {
    font-weight: 700;
}
.mo_navi_bx ul li a p {
    color: #383838;
}
.mo_navi_bx ul li a .ib_area {
    width: 25px; 
    height: 25px; 
    text-align: center; 
    justify-content: center; 
    align-items: center;
}
.mo_navi_bx ul li a .ib_area img {
    transform: translateY(2px);
}
.mo_navi_bx ul li.search_bx .ib_area {
    width: initial;
    height: initial;
}
.mo_navi_bx ul li.search_bx .ib_area img {
    transform: translateY(-13px);
}

/* 쇼핑 - 주문하기 푸터 영역 */
.mo_order_bx {
    height: 108px;
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    z-index: 2;
    display: none;
    padding: 16px 16px 27px 16px;
    background-color: white;
}
.mo_order_bx .orderBtn {
    width: 100%;
}
.mo_order_bx::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 1px;
    top: -10px;
    left: 0;
    display: block;
    background-color: var(--gray020);
    z-index: 2;
}
.mo_order_bx::after {
    width: 100%;
    height: 10px;
    top: -10px;
    left: 0;
    background-color: white;
}

/* 애니메이션 */
@keyframes bounceAni {
    0% { bottom: 110%; }
    50% { bottom: 125%; }
    100% { bottom: 110%; }
}

/* 모바일 반응형 */
@media screen and (max-width: 768px) {
    .footer {
        display: none;
    }
    .mo_footer {
        display: block;
    }
    .mo_navi_bx {
        display: block;
    }
    #order-wrapper .mo_navi_bx {
        display: none;
    }
    #order-wrapper .mo_order_bx {
        display: block;
    }
}